<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Quaternion.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_quaternion_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Quaternion.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_quaternion_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef QUATERNION_H</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define QUATERNION_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>Euler;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>RotationMatrix;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_quaternion.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html#a35151d7d2158d0a4714a66d2d426cf9c">Quaternion</a>(<span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a5394aa98e53d17253efd3c5eaca11fb2">q0</a> = 1, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#aaaea36fb6b8a1ae444f879e509cb4db5">q1</a> = 0, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1">q2</a> = 0, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#aabf0e55b55e7c66716494c5d7f343e70">q3</a> = 0);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html#a7aa88aa352e17590e0f9b454357fdbfc">~Quaternion</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a6931ec913f61c9708ef5970e63f8b0b5">GetNorm</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3">Normalize</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#abbda897244c722294de3812bfe7a595b">GetLogarithm</a>(<a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;logarithm);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> <a class="code" href="classflair_1_1core_1_1_quaternion.html#abbda897244c722294de3812bfe7a595b">GetLogarithm</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#ae3cf1c1892b4d1c70ca055e42709f9df">Conjugate</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="classflair_1_1core_1_1_quaternion.html#ab7b4f5b1f7419f6179f4fccc49e4e173">GetConjugate</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a08b196fb32f87dd62e6a3906e5ecaf2c">GetDerivative</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularSpeed) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a9be083f02e545535ba9dde0dd2ecbcb7">Derivate</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularSpeed);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#ad98cdabf355956519d718aac330174ef">ToEuler</a>(<a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;euler) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> <a class="code" href="classflair_1_1core_1_1_quaternion.html#ad98cdabf355956519d718aac330174ef">ToEuler</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a29d40f4afe4fa2f79a08a09619a4fc1a">ToRotationMatrix</a>(<a class="code" href="classflair_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> &amp;matrix) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_quaternion.html#a5394aa98e53d17253efd3c5eaca11fb2">  128</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a5394aa98e53d17253efd3c5eaca11fb2">q0</a>;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_quaternion.html#aaaea36fb6b8a1ae444f879e509cb4db5">  133</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#aaaea36fb6b8a1ae444f879e509cb4db5">q1</a>;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00138"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1">  138</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1">q2</a>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_quaternion.html#aabf0e55b55e7c66716494c5d7f343e70">  143</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html#aabf0e55b55e7c66716494c5d7f343e70">q3</a>;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;operator+=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion);</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;operator-=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion);</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion);</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;};</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="namespaceflair_1_1core.html#ab372a1107820a30d6fcbef13c8989caa">operator+</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaterniontA,</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                     <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaterniontB);</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="namespaceflair_1_1core.html#ac696d4111ec3b0241bc094add5666245">operator-</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaternionA,</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                     <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaterniontB);</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="namespaceflair_1_1core.html#ac696d4111ec3b0241bc094add5666245">operator-</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion);</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">operator*</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaternionA,</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;                     <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaterniontB);</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">operator*</a>(<span class="keywordtype">float</span> coeff, <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaternion);</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">operator*</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <span class="keyword">const</span> &amp;quaternion, <span class="keywordtype">float</span> coeff);</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;<span class="preprocessor">#endif // QUATERNION_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a6931ec913f61c9708ef5970e63f8b0b5"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a6931ec913f61c9708ef5970e63f8b0b5">flair::core::Quaternion::GetNorm</a></div><div class="ttdeci">float GetNorm(void) const </div><div class="ttdoc">Norm. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a35151d7d2158d0a4714a66d2d426cf9c"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a35151d7d2158d0a4714a66d2d426cf9c">flair::core::Quaternion::Quaternion</a></div><div class="ttdeci">Quaternion(float q0=1, float q1=0, float q2=0, float q3=0)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_aa540ffe227bbacd124c77f95d8c720b3"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3">flair::core::Quaternion::Normalize</a></div><div class="ttdeci">void Normalize(void)</div><div class="ttdoc">Normalize. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_ae3cf1c1892b4d1c70ca055e42709f9df"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#ae3cf1c1892b4d1c70ca055e42709f9df">flair::core::Quaternion::Conjugate</a></div><div class="ttdeci">void Conjugate(void)</div><div class="ttdoc">Conjugate. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_aaaea36fb6b8a1ae444f879e509cb4db5"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#aaaea36fb6b8a1ae444f879e509cb4db5">flair::core::Quaternion::q1</a></div><div class="ttdeci">float q1</div><div class="ttdoc">q1 </div><div class="ttdef"><b>Definition:</b> Quaternion.h:133</div></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html">flair::core::RotationMatrix</a></div><div class="ttdoc">Class defining a rotation matrix. </div><div class="ttdef"><b>Definition:</b> RotationMatrix.h:26</div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a08b196fb32f87dd62e6a3906e5ecaf2c"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a08b196fb32f87dd62e6a3906e5ecaf2c">flair::core::Quaternion::GetDerivative</a></div><div class="ttdeci">Quaternion GetDerivative(const Vector3Df &amp;angularSpeed) const </div><div class="ttdoc">Derivative. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a9be083f02e545535ba9dde0dd2ecbcb7"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a9be083f02e545535ba9dde0dd2ecbcb7">flair::core::Quaternion::Derivate</a></div><div class="ttdeci">void Derivate(const Vector3Df &amp;angularSpeed)</div><div class="ttdoc">Derivate. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a29d40f4afe4fa2f79a08a09619a4fc1a"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a29d40f4afe4fa2f79a08a09619a4fc1a">flair::core::Quaternion::ToRotationMatrix</a></div><div class="ttdeci">void ToRotationMatrix(RotationMatrix &amp;matrix) const </div><div class="ttdoc">Convert to rotation matrix. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_ab7b4f5b1f7419f6179f4fccc49e4e173"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#ab7b4f5b1f7419f6179f4fccc49e4e173">flair::core::Quaternion::GetConjugate</a></div><div class="ttdeci">Quaternion GetConjugate(void)</div><div class="ttdoc">Conjugate. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a47c497424771521c976143ef07bc7da1"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a47c497424771521c976143ef07bc7da1">flair::core::Quaternion::q2</a></div><div class="ttdeci">float q2</div><div class="ttdoc">q2 </div><div class="ttdef"><b>Definition:</b> Quaternion.h:138</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a7aa88aa352e17590e0f9b454357fdbfc"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a7aa88aa352e17590e0f9b454357fdbfc">flair::core::Quaternion::~Quaternion</a></div><div class="ttdeci">~Quaternion()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_a7a25a222fe16e05be703de31123a6d11"><div class="ttname"><a href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">flair::core::operator*</a></div><div class="ttdeci">Quaternion operator*(Quaternion const &amp;quaternionA, Quaternion const &amp;quaterniontB)</div><div class="ttdoc">Multiply. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_a5394aa98e53d17253efd3c5eaca11fb2"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#a5394aa98e53d17253efd3c5eaca11fb2">flair::core::Quaternion::q0</a></div><div class="ttdeci">float q0</div><div class="ttdoc">q0 </div><div class="ttdef"><b>Definition:</b> Quaternion.h:128</div></div>
<div class="ttc" id="namespaceflair_1_1core_html_ac696d4111ec3b0241bc094add5666245"><div class="ttname"><a href="namespaceflair_1_1core.html#ac696d4111ec3b0241bc094add5666245">flair::core::operator-</a></div><div class="ttdeci">Quaternion operator-(Quaternion const &amp;quaternionA, Quaternion const &amp;quaterniontB)</div><div class="ttdoc">Substract. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_aabf0e55b55e7c66716494c5d7f343e70"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#aabf0e55b55e7c66716494c5d7f343e70">flair::core::Quaternion::q3</a></div><div class="ttdeci">float q3</div><div class="ttdoc">q3 </div><div class="ttdef"><b>Definition:</b> Quaternion.h:143</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_abbda897244c722294de3812bfe7a595b"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#abbda897244c722294de3812bfe7a595b">flair::core::Quaternion::GetLogarithm</a></div><div class="ttdeci">Vector3Df GetLogarithm(void)</div><div class="ttdoc">Logarithm. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html_ad98cdabf355956519d718aac330174ef"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html#ad98cdabf355956519d718aac330174ef">flair::core::Quaternion::ToEuler</a></div><div class="ttdeci">Euler ToEuler(void) const </div><div class="ttdoc">Convert to euler angles. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_ab372a1107820a30d6fcbef13c8989caa"><div class="ttname"><a href="namespaceflair_1_1core.html#ab372a1107820a30d6fcbef13c8989caa">flair::core::operator+</a></div><div class="ttdeci">Quaternion operator+(Quaternion const &amp;quaterniontA, Quaternion const &amp;quaterniontB)</div><div class="ttdoc">Add. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_quaternion_8h.html">Quaternion.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
